CrystaX NDK - Task #1054

Make clang use modern Objective-C features by default
09/23/2015 08:52 PM - Dmitry Moskalchuk

Status: Closed Start date: 09/23/2015
Priority: High Due date:

Assignee: Dmitry Moskalchuk % Done: 100%

Category: toolchain Estimated time: 0.00 hour

Target version: 10.3.0

CPU Architecture: Toolchain: clang-3.6, clang-3.7
Host OS: Android version:

Description

As of now, -fblocks, -fobjc-nonfragile-abi, and other similar options required to be specified explicitly. Better to enable them all by
default, not enforcing user specify them.

History

#1 - 09/23/2015 08:52 PM - Dmitry Moskalchuk

- Status changed from Open to In Progress

#2 - 09/24/2015 05:06 PM - Dmitry Moskalchuk
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Done
